3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php var_dump( LIBXML_DOTTED_VERSION, defined('LIBXML_PEDANTIC'), defined('LIBXML_HTML_NOIMPLIED'), defined('LIBXML_HTML_NODEFDTD') );
Output for 5.5.36 - 5.6.20, 5.6.22 - 5.6.28, hhvm-3.13.2, 7.0.0 - 7.0.5, 7.0.7 - 7.1.0
string(5) "2.9.4" bool(true) bool(true) bool(true)
Output for 5.5.0 - 5.5.35, 5.6.21, hhvm-3.12.0, 7.0.6
string(5) "2.9.3" bool(true) bool(true) bool(true)
Output for 5.4.0 - 5.4.45, hhvm-3.10.0
string(5) "2.9.2" bool(true) bool(true) bool(true)
Output for 5.3.25 - 5.3.29
string(5) "2.9.1" bool(false) bool(false) bool(false)
Output for 5.3.15 - 5.3.24
string(5) "2.8.0" bool(false) bool(false) bool(false)
Output for 5.1.0 - 5.3.14
string(5) "2.7.8" bool(false) bool(false) bool(false)
Output for 4.3.5 - 5.0.5
Notice: Use of undefined constant LIBXML_DOTTED_VERSION - assumed 'LIBXML_DOTTED_VERSION' in /in/mHR16 on line 5 string(21) "LIBXML_DOTTED_VERSION" bool(false) bool(false) bool(false)
Output for 4.3.0 - 4.3.4
Notice: Use of undefined constant LIBXML_DOTTED_VERSION - assumed 'LIBXML_DOTTED_VERSION' in /in/mHR16 on line 5 string(21) "LIBXML_DOTTED_VERSION" int(0) int(0) int(0)